Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.mx.util
Class DynamicMBeanSupport

    java.lang.Object
      org.jboss.mx.util.DynamicMBeanSupport

All Implemented Interfaces:
  DynamicMBean

public class DynamicMBeanSupport
extends Object
implements DynamicMBean

A noop stub implementation of DynamicMBean

Version:
  $Revision: 1.2 $
Author:
  Scott.Stark@jboss.org

Constructor Summary
`DynamicMBeanSupport()`

Method Summary
`Object` | `getAttribute(String attribute)` Returns the value of the attribute with the name matching the passed string.
`AttributeList` | `getAttributes(String[] attributes)` Returns the values of the attributes with names matching the passed string array.
`MBeanInfo` | `getMBeanInfo()` Returns the management interface that describes this dynamic resource.
`Object` | `invoke(String actionName, Object[] params, String[] signature)` Invokes a resource operation.
`void` | `setAttribute(Attribute attribute)` Sets the value of an attribute.
`AttributeList` | `setAttributes(AttributeList attributes)` Sets the values of the attributes passed as an `AttributeList` of name and new value pairs.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DynamicMBeanSupport

    public DynamicMBeanSupport()

Method Detail

### getAttribute

    public Object getAttribute(String attribute)
                        throws AttributeNotFoundException,
                               MBeanException,
                               ReflectionException

  Description copied from interface: `DynamicMBean`
  Returns the value of the attribute with the name matching the passed string.

  Specified by:
    `getAttribute` in interface `DynamicMBean`
  Parameters:
    `attribute` - the name of the attribute.
  Returns:
    the value of the attribute.
  Throws:
    `ReflectionException` - wraps any error invoking the resource.
    `MBeanException` - wraps any error thrown by the resource when getting the attribute.
    `AttributeNotFoundException` - when there is no such attribute.

### setAttribute

    public void setAttribute(Attribute attribute)
                      throws AttributeNotFoundException,
                             InvalidAttributeValueException,
                             MBeanException,
                             ReflectionException

  Description copied from interface: `DynamicMBean`
  Sets the value of an attribute. The attribute and new value are passed in the name value pair `Attribute`.

  Specified by:
    `setAttribute` in interface `DynamicMBean`
  Parameters:
    `attribute` - the name and new value of the attribute.
  Throws:
    `MBeanException` - wraps any error thrown by the resource when setting the new value.
    `ReflectionException` - wraps any error invoking the resource.
    `InvalidAttributeValueException` - when the new value cannot be converted to the type of the attribute.
    `AttributeNotFoundException` - when there is no such attribute.
  See Also:
    `Attribute`

### getAttributes

    public AttributeList getAttributes(String[] attributes)

  Description copied from interface: `DynamicMBean`
  Returns the values of the attributes with names matching the passed string array.

  Specified by:
    `getAttributes` in interface `DynamicMBean`
  Parameters:
    `attributes` - the names of the attribute.
  Returns:
    an `AttributeList` of name and value pairs.

### setAttributes

    public AttributeList setAttributes(AttributeList attributes)

  Description copied from interface: `DynamicMBean`
  Sets the values of the attributes passed as an `AttributeList` of name and new value pairs.

  Specified by:
    `setAttributes` in interface `DynamicMBean`
  Parameters:
    `attributes` - the name an new value pairs.
  Returns:
    an `AttributeList` of name and value pairs that were actually set.

### invoke

    public Object invoke(String actionName,
                         Object[] params,
                         String[] signature)
                  throws MBeanException,
                         ReflectionException

  Description copied from interface: `DynamicMBean`
  Invokes a resource operation.

  Specified by:
    `invoke` in interface `DynamicMBean`
  Parameters:
    `actionName` - the name of the operation to perform.
    `params` - the parameters to pass to the operation.
    `signature` - the signartures of the parameters.
  Returns:
    the result of the operation.
  Throws:
    `ReflectionException` - wraps any error invoking the resource.
    `MBeanException` - wraps any error thrown by the resource when performing the operation.

### getMBeanInfo

    public MBeanInfo getMBeanInfo()

  Description copied from interface: `DynamicMBean`
  Returns the management interface that describes this dynamic resource. It is the responsibility of the implementation to make sure the description is accurate.

  Specified by:
    `getMBeanInfo` in interface `DynamicMBean`
  Returns:
    the management interface.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.